Bug 906735 - qemu core dump when boot rhel7 guest on rhel7 host with virtio-serial-pci using vnc to connect VM
qemu core dump when boot rhel7 guest on rhel7 host with virtio-serial-pci usi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Hai Huang
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-01 05:22 EST by Sibiao Luo
Modified: 2013-08-19 06:59 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-19 06:59:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sibiao Luo 2013-02-01 05:22:14 EST
Description of problem:
qemu core dump when boot guest with virtio-serial-pci assigned max_ports=16 using vnc to connect VM. I do many times to test it, but only hit once, it was very hard to reproduce. the qemu prompt was very strange, this issue relate the vnc according the core dump bt log. 
BTW, i also tried the max_ports=31, but did not hit it.

Version-Release number of selected component (if applicable):
host info:
kernel-3.7.0-0.34.el7.x86_64
qemu-kvm-1.3.0-3.el7.x86_64
gtk-vnc2-0.5.1-5.el7.x86_64
tigervnc-1.2.80-0.7.20121126svn5015.el7.x86_64
guest info:
kernel-3.7.0-0.34.el7.x86_64

How reproducible:
only once

Steps to Reproduce:
1.boot guest with virtio-serial-pci assigned max_ports=16.
eg: /usr/libexec/qemu-kvm -M pc-1.2 -cpu Westmere -enable-kvm -m 2048 -smp 2,sockets=2,cores=1,threads=1 -no-kvm-pit-reinjection -usb -device usb-tablet,id=input0 -name sluo-test -uuid 350e716b-5f98-4bf0-9a2a-c8e423295244 -rtc base=localtime,clock=host,driftfix=slew -device virtio-serial-pci,id=virtio-serial0,max_ports=16,vectors=0,bus=pci.0,addr=0x3 -chardev socket,id=channel1,path=/tmp/helloworld1,server,nowait -device virtserialport,chardev=channel1,name=com.redhat.rhevm.vdsm,bus=virtio-serial0.0,id=port1 -chardev socket,id=channel2,path=/tmp/helloworld2,server,nowait -device virtserialport,chardev=channel2,name=com.redhat.rhevm.vdsm,bus=virtio-serial0.0,id=port2 -drive file=/home/RHEL-Server-7.0-64-virtio.qcow2,if=none,id=drive-system-disk,format=qcow2,cache=none,aio=native,werror=stop,rerror=stop -device virtio-scsi-pci,id=scsi0,bus=pci.0,addr=0x4 -device scsi-hd,drive=drive-system-disk,bus=scsi0.0,id=system-disk,bootindex=1 -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,id=virtio-net-pci0,mac=08:2E:5F:0A:0D:B1,bus=pci.0,addr=0x5,bootindex=2,event_idx=off -device virtio-balloon-pci,id=ballooning,bus=pci.0,addr=0x6 -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -device usb-ehci,id=ehci,bus=pci.0,addr=0x7 -chardev spicevmc,name=usbredir,id=usbredirchardev1 -device usb-redir,chardev=usbredirchardev1,id=usbredirdev1,bus=ehci.0,debug=3 -k en-us -boot menu=on -qmp tcp:0:4444,server,nowait -serial unix:/tmp/ttyS0,server,nowait -vnc :1 -drive file=/home/floppy.vfd,if=none,id=drive-fdc0-0-0,format=raw -global isa-fdc.driveA=drive-fdc0-0-0 -drive file=/home/my-cdrom.iso,if=none,media=cdrom,format=raw,id=drive-ide1-0-1 -device ide-drive,drive=drive-ide1-0-1,id=ide1-0-1,bus=ide.0,unit=0 -chardev socket,path=/tmp/qga.sock,server,nowait,id=qga0 -device virtio-serial -device virtserialport,chardev=qga0,name=org.qemu.guest_agent.0 -monitor stdio
2.use vnc to connect VM, the client is on the same host which to boot the guest.
# vncviewer 10.66.106.26:1

Actual results:
after step 2, the VM fail to boot up and the qemu core dump.
QEMU 1.3.0 monitor - type 'help' for more information
(qemu) qemu-kvm: virtio-serial-bus: Unexpected port id 32 for device virtio-serial0.0
*** glibc detected *** /usr/libexec/qemu-kvm: realloc(): invalid old size: 0x00007f86385ee920 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x3675a7b586)[0x7f8645d4e586]
/lib64/libc.so.6(+0x3675a7e948)[0x7f8645d51948]
/lib64/libc.so.6(realloc+0xe5)[0x7f8645d528b5]
/usr/libexec/qemu-kvm(+0x21a859)[0x7f864b426859]
/lib64/libglib-2.0.so.0(g_realloc+0x17)[0x7f864a909737]
/usr/libexec/qemu-kvm(+0x210ff4)[0x7f864b41cff4]
/usr/libexec/qemu-kvm(+0x2127b3)[0x7f864b41e7b3]
/usr/libexec/qemu-kvm(+0x2017fd)[0x7f864b40d7fd]
/usr/libexec/qemu-kvm(+0x202c10)[0x7f864b40ec10]
/usr/libexec/qemu-kvm(+0x203c30)[0x7f864b40fc30]
/usr/libexec/qemu-kvm(+0x204ded)[0x7f864b410ded]
/usr/libexec/qemu-kvm(+0x20e390)[0x7f864b41a390]
/usr/libexec/qemu-kvm(+0x20e560)[0x7f864b41a560]
/lib64/libpthread.so.0(+0x3675e07d15)[0x7f864947ed15]
/lib64/libc.so.6(clone+0x6d)[0x7f8645dc527d]
======= Memory map: ========
7f85a8000000-7f85a8022000 rw-p 00000000 00:00 0 
7f85a8022000-7f85ac000000 ---p 00000000 00:00 0 
7f85af5fe000-7f85af5ff000 ---p 00000000 00:00 0 
7f85af5ff000-7f85afe00000 rw-p 00000000 00:00 0                          [stack:5953]
7f85afe00000-7f862fe00000 rw-p 00000000 00:00 0 
7f862fe00000-7f8630000000 rw-p 00000000 00:00 0 
7f8630000000-7f863006c000 rw-p 00000000 00:00 0 
7f863006c000-7f8634000000 ---p 00000000 00:00 0 
7f8634000000-7f8634073000 rw-p 00000000 00:00 0 
7f8634073000-7f8638000000 ---p 00000000 00:00 0 
7f8638000000-7f86388a5000 rw-p 00000000 00:00 0 
7f86388a5000-7f863c000000 ---p 00000000 00:00 0 
7f863c572000-7f863c587000 r-xp 00000000 fd:01 918566                     /usr/lib64/libgcc_s-4.7.2-20121109.so.1
7f863c587000-7f863c786000 ---p 00015000 fd:01 918566                     /usr/lib64/libgcc_s-4.7.2-20121109.so.1
7f863c786000-7f863c787000 r--p 00014000 fd:01 918566                     /usr/lib64/libgcc_s-4.7.2-20121109.so.1
7f863c787000-7f863c788000 rw-p 00015000 fd:01 918566                     /usr/lib64/libgcc_s-4.7.2-20121109.so.1
7f863c788000-7f863c7ce000 rw-p 00000000 00:00 0 
7f863c7ce000-7f863c7d2000 r-xp 00000000 fd:01 925852                     /usr/lib64/sasl2/liblogin.so.2.0.23
7f863c7d2000-7f863c9d1000 ---p 00004000 fd:01 925852                     /usr/lib64/sasl2/liblogin.so.2.0.23
7f863c9d1000-7f863c9d2000 r--p 00003000 fd:01 925852                     /usr/lib64/sasl2/liblogin.so.2.0.23
7f863c9d2000-7f863c9d3000 rw-p 00004000 fd:01 925852                     /usr/lib64/sasl2/liblogin.so.2.0.23
7f863c9d3000-7f863cb7d000 r-xp 00000000 fd:01 940622                     /usr/lib64/libdb-5.3.so
7f863cb7d000-7f863cd7d000 ---p 001aa000 fd:01 940622                     /usr/lib64/libdb-5.3.so
7f863cd7d000-7f863cd84000 r--p 001aa000 fd:01 940622                     /usr/lib64/libdb-5.3.so
7f863cd84000-7f863cd87000 rw-p 001b1000 fd:01 940622                     /usr/lib64/libdb-5.3.so
7f863cd9b000-7f863cda0000 r-xp 00000000 fd:01 918762                     /usr/lib64/sasl2/libsasldb.so.2.0.23
7f863cda0000-7f863cf9f000 ---p 00005000 fd:01 918762                     /usr/lib64/sasl2/libsasldb.so.2.0.23
7f863cf9f000-7f863cfa0000 r--p 00004000 fd:01 918762                     /usr/lib64/sasl2/libsasldb.so.2.0.23
7f863cfa0000-7f863cfa1000 rw-p 00005000 fd:01 918762                     /usr/lib64/sasl2/libsasldb.so.2.0.23
7f863cfa1000-7f863cfa5000 r-xp 00000000 fd:01 918759                     /usr/lib64/sasl2/libanonymous.so.2.0.23
7f863cfa5000-7f863d1a4000 ---p 00004000 fd:01 918759                     /usr/lib64/sasl2/libanonymous.so.2.0.23
7f863d1a4000-7f863d1a5000 r--p 00003000 fd:01 918759                     /usr/lib64/sasl2/libanonymous.so.2.0.23
7f863d1a5000-7f863d1a6000 rw-p 00004000 fd:01 918759                     /usr/lib64/sasl2/libanonymous.so.2.0.23
7f863d1a6000-7f863d1b2000 r-xp 00000000 fd:01 925828                     /usr/lib64/sasl2/libdigestmd5.so.2.0.23
7f863d1b2000-7f863d3b1000 ---p 0000c000 fd:01 925828                     /usr/lib64/sasl2/libdigestmd5.so.2.0.23
7f863d3b1000-7f863d3b2000 r--p 0000b000 fd:01 925828                     /usr/lib64/sasl2/libdigestmd5.so.2.0.23
7f863d3b2000-7f863d3b3000 rw-p 0000c000 fd:01 925828                     /usr/lib64/sasl2/libdigestmd5.so.2.0.23
7f863d3b3000-7f863d3b7000 r-xp 00000000 fd:01 925855                     /usr/lib64/sasl2/libplain.so.2.0.23
7f863d3b7000-7f863d5b6000 ---p 00004000 fd:01 925855                     /usr/lib64/sasl2/libplain.so.2.0.23
7f863d5b6000-7f863d5b7000 r--p 00003000 fd:01 925855                     /usr/lib64/sasl2/libplain.so.2.0.23
7f863d5b7000-7f863d5b8000 rw-p 00004000 fd:01 925855                     /usr/lib64/sasl2/libplain.so.2.0.23
7f863d5b8000-7f863d5bc000 r-xp 00000000 fd:01 925825                     /usr/lib64/sasl2/libcrammd5.so.2.0.23
7f863d5bc000-7f863d7bc000 ---p 00004000 fd:01 925825                     /usr/lib64/sasl2/libcrammd5.so.2.0.23
7f863d7bc000-7f863d7bd000 r--p 00004000 fd:01 925825                     /usr/lib64/sasl2/libcrammd5.so.2.0.23
7f863d7bd000-7f863d7be000 rw-p 00005000 fd:01 925825                     /usr/lib64/sasl2/libcrammd5.so.2.0.23
7f863d7be000-7f863d7bf000 rw-s 00000000 00:10 36720                      /dev/shm/spice.5942
7f863d7bf000-7f863d843000 rw-p 00000000 00:00 0 
7f863d970000-7f863da00000 rw-p 00000000 00:00 0 
7f863da00000-7f863e200000 rw-p 00000000 00:00 0 
7f863e200000-7f863e372000 rw-p 00000000 00:00 0 
7f863e372000-7f863e392000 rw-p 00000000 00:00 0 
7f863e392000-7f863e393000 rw-p 00000000 00:00 0 
7f863e393000-7f863e394000 ---p 00000000 00:00 0 
7f863e394000-7f863eb94000 rw-p 00000000 00:00 0                          [stack:5951]
7f863eb94000-7f863eb95000 ---p 00000000 00:00 0 
7f863eb95000-7f863f596000 rw-p 00000000 00:00 0                          [stack:5950]
7f863f596000-7f863f597000 ---p 00000000 00:00 0 
7f863f597000-7f863fd9f000 rw-p 00000000 00:00 0                          [stack:5961]
7f863fd9f000-7f863fe00000 r-xp 00000000 fd:01 921834                     /usr/lib64/libpcre.so.1.2.0
7f863fe00000-7f863ffff000 ---p 00061000 fd:01 921834                     /usr/lib64/libpcre.so.1.2.0
7f863ffff000-7f8640000000 r--p 00060000 fd:01 921834                     /usr/lib64/libpcre.so.1.2.0
7f8640000000-7f8640001000 rw-p 00061000 fd:01 921834                     /usr/lib64/libpcre.so.1.2.0
7f8640001000-7f8640002000 rw-p 00000000 00:00 0 
7f8640002000-7f8640021000 r-xp 00000000 fd:01 937882                     /usr/lib64/libselinux.so.1
7f8640021000-7f8640220000 ---p 0001f000 fd:01 937882                     /usr/lib64/libselinux.so.1
7f8640220000-7f8640221000 r--p 0001e000 fd:01 937882                     /usr/lib64/libselinux.so.1
7f8640221000-7f8640222000 rw-p 0001f000 fd:01 937882                     /usr/lib64/libselinux.so.1
7f8640222000-7f8640224000 rw-p 00000000 00:00 0 
7f8640224000-7f8640287000 r-xp 00000000 fd:01 937893                     /usr/lib64/libfreebl3.so
7f8640287000-7f8640487000 ---p 00063000 fd:01 937893                     /usr/lib64/libfreebl3.so
7f8640487000-7f8640488000 r--p 00063000 fd:01 937893                     /usr/lib64/libfreebl3.so
7f8640488000-7f8640489000 rw-p 00064000 fd:01 937893                     /usr/lib64/libfreebl3.so
7f8640489000-7f864048e000 rw-p 00000000 00:00 0 
7f864048e000-7f8640494000 r-xp 00000000 fd:01 937902                     /usr/lib64/libogg.so.0.8.0
7f8640494000-7f8640693000 ---p 00006000 fd:01 937902                     /usr/lib64/libogg.so.0.8.0
7f8640693000-7f8640694000 r--p 00005000 fd:01 937902                     /usr/lib64/libogg.so.0.8.0
7f8640694000-7f8640695000 rw-p 00006000 fd:01 937902                     /usr/lib64/libogg.so.0.8.0
7f8640695000-7f86406c1000 r-xp 00000000 fd:01 937904                     /usr/lib64/libvorbis.so.0.4.6
7f86406c1000-7f86408c0000 ---p 0002c000 fd:01 937904                     /usr/lib64/libvorbis.so.0.4.6
7f86408c0000-7f86408c1000 r--p 0002b000 fd:01 937904                     /usr/lib64/libvorbis.so.0.4.6
7f86408c1000-7f86408c2000 rw-p 0002c000 fd:01 937904                     /usr/lib64/libvorbis.so.0.4.6
7f86408c2000-7f8640b75000 r-xp 00000000 fd:01 937905                     /usr/lib64/libvorbisenc.so.2.0.9
7f8640b75000-7f8640d74000 ---p 002b3000 fd:01 937905                     /usr/lib64/libvorbisenc.so.2.0.9
7f8640d74000-7f8640d90000 r--p 002b2000 fd:01 937905                     /usr/lib64/libvorbisenc.so.2.0.9
7f8640d90000-7f8640d91000 rw-p 002ce000 fd:01 937905                     /usr/lib64/libvorbisenc.so.2.0.9
7f8640d91000-7f8640dca000 r-xp 00000000 fd:01 937903                     /usr/lib64/libFLAC.so.8.2.0
7f8640dca000-7f8640fc9000 ---p 00039000 fd:01 937903                     /usr/lib64/libFLAC.so.8.2.0
7f8640fc9000-7f8640fca000 r--p 00038000 fd:01 937903                     /usr/lib64/libFLAC.so.8.2.0
7f8640fca000-7f8640fcb000 rw-p 00039000 fd:01 937903                     /usr/lib64/libFLAC.so.8.2.0
7f8640fcb000-7f8640fd6000 r-xp 00000000 fd:01 925164                     /usr/lib64/libgsm.so.1.0.12
7f8640fd6000-7f86411d5000 ---p 0000b000 fd:01 925164                     /usr/lib64/libgsm.so.1.0.12
7f86411d5000-7f86411d6000 r--p 0000a000 fd:01 925164                     /usr/lib64/libgsm.so.1.0.12
7f86411d6000-7f86411d7000 rw-p 0000b000 fd:01 925164                     /usr/lib64/libgsm.so.1.0.12
7f86411d7000-7f86411ed000 r-xp 00000000 fd:01 937937                     /usr/lib64/libnsl-2.16.so
7f86411ed000-7f86413ec000 ---p 00016000 fd:01 937937                     /usr/lib64/libnsl-2.16.so
7f86413ec000-7f86413ed000 r--p 00015000 fd:01 937937                     /usr/lib64/libnsl-2.16.so
7f86413ed000-7f86413ee000 rw-p 00016000 fd:01 937937                     /usr/lib64/libnsl-2.16.so
7f86413ee000-7f86413f0000 rw-p 00000000 00:00 0 
7f86413f0000-7f86413fe000 r-xp 00000000 fd:01 937935                     /usr/lib64/libXi.so.6.1.0
7f86413fe000-7f86415fd000 ---p 0000e000 fd:01 937935                     /usr/lib64/libXi.so.6.1.0
7f86415fd000-7f86415fe000 r--p 0000d000 fd:01 937935                     /usr/lib64/libXi.so.6.1.0
7f86415fe000-7f86415ff000 rw-p 0000e000 fd:01 937935                     /usr/lib64/libXi.so.6.1.0
7f86415ff000-7f8641610000 r-xp 00000000 fd:01 937934                     /usr/lib64/libXext.so.6.4.0
7f8641610000-7f864180f000 ---p 00011000 fd:01 937934                     /usr/lib64/libXext.so.6.4.0
7f864180f000-7f8641810000 r--p 00010000 fd:01 937934                     /usr/lib64/libXext.so.6.4.0
7f8641810000-7f8641811000 rw-p 00011000 fd:01 937934                     /usr/lib64/libXext.so.6.4.0
7f8641811000-7f8641813000 r-xp 00000000 fd:01 937830                     /usr/lib64/libXau.so.6.0.0
7f8641813000-7f8641a13000 ---p 00002000 fd:01 937830                     /usr/lib64/libXau.so.6.0.0
7f8641a13000-7f8641a14000 r--p 00002000 fd:01 937830                     /usr/lib64/libXau.so.6.0.0
7f8641a14000-7f8641a15000 rw-p 00003000 fd:01 937830                     /usr/lib64/libXau.so.6.0.0
7f8641a15000-7f8641a18000 r-xp 00000000 fd:01 923334                     /usr/lib64/libkeyutils.so.1.4
7f8641a18000-7f8641c17000 ---p 00003000 fd:01 923334                     /usr/lib64/libkeyutils.so.1.4
7f8641c17000-7f8641c18000 r--p 00002000 fd:01 923334                     /usr/lib64/libkeyutils.so.1.4
7f8641c18000-7f8641c19000 rw-p 00003000 fd:01 923334                     /usr/lib64/libkeyutils.so.1.4
7f8641c19000-7f8641c26000 r-xp 00000000 fd:01 942543                     /usr/lib64/libkrb5support.so.0.1
7f8641c26000-7f8641e25000 ---p 0000d000 fd:01 942543                     /usr/lib64/libkrb5support.so.0.1
7f8641e25000-7f8641e26000 r--p 0000c000 fd:01 942543                     /usr/lib64/libkrb5support.so.0.1
7f8641e26000-7f8641e27000 rw-p 0000d000 fd:01 942543                     /usr/lib64/libkrb5support.so.0.1
7f8641e27000-7f8641fc2000 r-xp 00000000 fd:01 920074                     /usr/lib64/libcrypto.so.1.0.1c
7f8641fc2000-7f86421c1000 ---p 0019b000 fd:01 920074                     /usr/lib64/libcrypto.so.1.0.1c
7f86421c1000-7f86421db000 r--p 0019a000 fd:01 920074                     /usr/lib64/libcrypto.so.1.0.1c
7f86421db000-7f86421e6000 rw-p 001b4000 fd:01 920074                     /usr/lib64/libcrypto.so.1.0.1c
7f86421e6000-7f86421eb000 rw-p 00000000 00:00 0 
7f86421eb000-7f8642246000 r-xp 00000000 fd:01 942556                     /usr/lib64/libssl.so.1.0.1c
7f8642246000-7f8642445000 ---p 0005b000 fd:01 942556                     /usr/lib64/libssl.so.1.0.1c
7f8642445000-7f8642449000 r--p 0005a000 fd:01 942556                     /usr/lib64/libssl.so.1.0.1c
7f8642449000-7f864244f000 rw-p 0005e000 fd:01 942556                     /usr/lib64/libssl.so.1.0.1c
7f864244f000-7f864245d000 r-xp 00000000 fd:01 924311                     /usr/lib64/libcelt051.so.0.0.0
7f864245d000-7f864265c000 ---p 0000e000 fd:01 924311                     /usr/lib64/libcelt051.so.0.0.0
7f864265c000-7f864265d000 r--p 0000d000 fd:01 924311                     /usr/lib64/libcelt051.so.0.0.0
7f864265d000-7f864265e000 rw-p 0000e000 fd:01 924311                     /usr/lib64/libcelt051.so.0.0.0
7f864265e000-7f8642671000 r-xp 00000000 fd:01 937960                     /usr/lib64/libp11-kit.so.0.0.0
7f8642671000-7f8642870000 ---p 00013000 fd:01 937960                     /usr/lib64/libp11-kit.so.0.0.0
7f8642870000-7f8642871000 r--p 00012000 fd:01 937960                     /usr/lib64/libp11-kit.so.0.0.0
7f8642871000-7f8642872000 rw-p 00013000 fd:01 937960                     /usr/lib64/libp11-kit.so.0.0.0
7f8642872000-7f8642882000 r-xp 00000000 fd:01 937959                     /usr/lib64/libtasn1.so.3.2.0
7f8642882000-7f8642a81000 ---p 00010000 fd:01 937959                     /usr/lib64/libtasn1.so.3.2.0
7f8642a81000-7f8642a82000 r--p 0000f000 fd:01 937959                     /usr/lib64/libtasn1.so.3.2.0
7f8642a82000-7f8642a83000 rw-p 00010000 fd:01 937959                     /usr/lib64/libtasn1.so.3.2.0
7f8642a83000-7f8642a86000 r-xp 00000000 fd:01 920347                     /usr/lib64/libgpg-error.so.0.8.0
7f8642a86000-7f8642c85000 ---p 00003000 fd:01 920347                     /usr/lib64/libgpg-error.so.0.8.0
7f8642c85000-7f8642c86000 r--p 00002000 fd:01 920347                     /usr/lib64/libgpg-error.so.0.8.0
7f8642c86000-7f8642c87000 rw-p 00003000 fd:01 920347                     /usr/lib64/libgpg-error.so.0.8.0
7f8642c87000-7f8642cfc000 r-xp 00000000 fd:01 937958                     /usr/lib64/libgcrypt.so.11.7.0
7f8642cfc000-7f8642efb000 ---p 00075000 fd:01 937958                     /usr/lib64/libgcrypt.so.11.7.0
7f8642efb000-7f8642efc000 r--p 00074000 fd:01 937958                     /usr/lib64/libgcrypt.so.11.7.0
7f8642efc000-7f8642eff000 rw-p 00075000 fd:01 937958                     /usr/lib64/libgcrypt.so.11.7.0
7f8642eff000-7f8642f07000 r-xp 00000000 fd:01 937894                     /usr/lib64/libcrypt-2.16.so
7f8642f07000-7f8643106000 ---p 00008000 fd:01 937894                     /usr/lib64/libcrypt-2.16.so
7f8643106000-7f8643107000 r--p 00007000 fd:01 937894                     /usr/lib64/libcrypt-2.16.so
7f8643107000-7f8643108000 rw-p 00008000 fd:01 937894                     /usr/lib64/libcrypt-2.16.so
7f8643108000-7f8643136000 rw-p 00000000 00:00 0 
7f8643136000-7f864314c000 r-xp 00000000 fd:01 922830                     /usr/lib64/libresolv-2.16.so
7f864314c000-7f864334b000 ---p 00016000 fd:01 922830                     /usr/lib64/libresolv-2.16.so
7f864334b000-7f864334c000 r--p 00015000 fd:01 922830                     /usr/lib64/libresolv-2.16.so
7f864334c000-7f864334d000 rw-p 00016000 fd:01 922830                     /usr/lib64/libresolv-2.16.so
7f864334d000-7f864334f000 rw-p 00000000 00:00 0 
7f864334f000-7f8643393000 r-xp 00000000 fd:01 937940                     /usr/lib64/libdbus-1.so.3.7.2
7f8643393000-7f8643592000 ---p 00044000 fd:01 937940                     /usr/lib64/libdbus-1.so.3.7.2
7f8643592000-7f8643593000 r--p 00043000 fd:01 937940                     /usr/lib64/libdbus-1.so.3.7.2
7f8643593000-7f8643594000 rw-p 00044000 fd:01 937940                     /usr/lib64/libdbus-1.so.3.7.2
7f8643594000-7f8643599000 r-xp 00000000 fd:01 937939                     /usr/lib64/libasyncns.so.0.3.1
7f8643599000-7f8643798000 ---p 00005000 fd:01 937939                     /usr/lib64/libasyncns.so.0.3.1
7f8643798000-7f8643799000 r--p 00004000 fd:01 937939                     /usr/lib64/libasyncns.so.0.3.1
7f8643799000-7f864379a000 rw-p 00005000 fd:01 937939                     /usr/lib64/libasyncns.so.0.3.1
7f864379a000-7f86437ef000 r-xp 00000000 fd:01 937906                     /usr/lib64/libsndfile.so.1.0.25
7f86437ef000-7f86439ef000 ---p 00055000 fd:01 937906                     /usr/lib64/libsndfile.so.1.0.25
7f86439ef000-7f86439f1000 r--p 00055000 fd:01 937906                     /usr/lib64/libsndfile.so.1.0.25
7f86439f1000-7f86439f2000 rw-p 00057000 fd:01 937906                     /usr/lib64/libsndfile.so.1.0.25
7f86439f2000-7f86439f6000 rw-p 00000000 00:00 0 
7f86439f6000-7f86439ff000 r-xp 00000000 fd:01 937938                     /usr/lib64/libwrap.so.0.7.6
7f86439ff000-7f8643bfe000 ---p 00009000 fd:01 937938                     /usr/lib64/libwrap.so.0.7.6
7f8643bfe000-7f8643bff000 r--p 00008000 fd:01 937938                     /usr/lib64/libwrap.so.0.7.6
7f8643bff000-7f8643c00000 rw-p 00009000 fd:01 937938                     /usr/lib64/libwrap.so.0.7.6
7f8643c00000-7f8643c01000 rw-p 00000000 00:00 0 
7f8643c01000-7f8643c06000 r-xp 00000000 fd:01 937936                     /usr/lib64/libXtst.so.6.1.0
7f8643c06000-7f8643e05000 ---p 00005000 fd:01 937936                     /usr/lib64/libXtst.so.6.1.0
7f8643e05000-7f8643e06000 r--p 00004000 fd:01 937936                     /usr/lib64/libXtst.so.6.1.0
7f8643e06000-7f8643e07000 rw-p 00005000 fd:01 937936                     /usr/lib64/libXtst.so.6.1.0
7f8643e07000-7f8643e0e000 r-xp 00000000 fd:01 940577                     /usr/lib64/libSM.so.6.0.1
7f8643e0e000-7f864400d000 ---p 00007000 fd:01 940577                     /usr/lib64/libSM.so.6.0.1
7f864400d000-7f864400e000 r--p 00006000 fd:01 940577                     /usr/lib64/libSM.so.6.0.1
7f864400e000-7f864400f000 rw-p 00007000 fd:01 940577                     /usr/lib64/libSM.so.6.0.1
7f864400f000-7f8644026000 r-xp 00000000 fd:01 937932                     /usr/lib64/libICE.so.6.3.0
7f8644026000-7f8644225000 ---p 00017000 fd:01 937932                     /usr/lib64/libICE.so.6.3.0
7f8644225000-7f8644226000 r--p 00016000 fd:01 937932                     /usr/lib64/libICE.so.6.3.0
7f8644226000-7f8644227000 rw-p 00017000 fd:01 937932                     /usr/lib64/libICE.so.6.3.0
7f8644227000-7f864422b000 rw-p 00000000 00:00 0 
7f864422b000-7f8644248000 r-xp 00000000 fd:01 937896                     /usr/lib64/libxcb.so.1.1.0
7f8644248000-7f8644447000 ---p 0001d000 fd:01 937896                     /usr/lib64/libxcb.so.1.1.0
7f8644447000-7f8644448000 r--p 0001c000 fd:01 937896                     /usr/lib64/libxcb.so.1.1.0
7f8644448000-7f8644449000 rw-p 0001d000 fd:01 937896                     /usr/lib64/libxcb.so.1.1.0
7f8644449000-7f864444a000 r-xp 00000000 fd:01 937931                     /usr/lib64/libX11-xcb.so.1.0.0
7f864444a000-7f8644649000 ---p 00001000 fd:01 937931                     /usr/lib64/libX11-xcb.so.1.0.0
7f8644649000-7f864464a000 r--p 00000000 fd:01 937931                     /usr/lib64/libX11-xcb.so.1.0.0
7f864464a000-7f864464b000 rw-p 00001000 fd:01 937931                     /usr/lib64/libX11-xcb.so.1.0.0
7f864464b000-7f86446aa000 r-xp 00000000 fd:01 1193580                    /usr/lib64/pulseaudio/libpulsecommon-2.1.so
7f86446aa000-7f86448a9000 ---p 0005f000 fd:01 1193580                    /usr/lib64/pulseaudio/libpulsecommon-2.1.so
7f86448a9000-7f86448aa000 r--p 0005e000 fd:01 1193580                    /usr/lib64/pulseaudio/libpulsecommon-2.1.so
7f86448aa000-7f86448ac000 rw-p 0005f000 fd:01 1193580                    /usr/lib64/pulseaudio/libpulsecommon-2.1.so
7f86448ac000-7f86448b5000 r-xp 00000000 fd:01 920946                     /usr/lib64/libjson.so.0.1.0
7f86448b5000-7f8644ab4000 ---p 00009000 fd:01 920946                     /usr/lib64/libjson.so.0.1.0
7f8644ab4000-7f8644ab5000 r--p 00008000 fd:01 920946                     /usr/lib64/libjson.so.0.1.0
7f8644ab5000-7f8644ab6000 rw-p 00009000 fd:01 920946                     /usr/lib64/libjson.so.0.1.0
7f8644ab6000-7f8644add000 r-xp 00000000 fd:01 937972                     /usr/lib64/libssh2.so.1.0.1
7f8644add000-7f8644cdd000 ---p 00027000 fd:01 937972                     /usr/lib64/libssh2.so.1.0.1
7f8644cdd000-7f8644cde000 r--p 00027000 fd:01 937972                     /usr/lib64/libssh2.so.1.0.1
7f8644cde000-7f8644cdf000 rw-p 00028000 fd:01 937972                     /usr/lib64/libssh2.so.1.0.1
7f8644cdf000-7f8644ce2000 r-xp 00000000 fd:01 942545                     /usr/lib64/libcom_err.so.2.1
7f8644ce2000-7f8644ee1000 ---p 00003000 fd:01 942545                     /usr/lib64/libcom_err.so.2.1
7f8644ee1000-7f8644ee2000 r--p 00002000 fd:01 942545                     /usr/lib64/libcom_err.so.2.1
7f8644ee2000-7f8644ee3000 rw-p 00003000 fd:01 942545                     /usr/lib64/libcom_err.so.2.1
7f8644ee3000-7f8644f15000 r-xp 00000000 fd:01 942544                     /usr/lib64/libk5crypto.so.3.1
7f8644f15000-7f8645114000 ---p 00032000 fd:01 942544                     /usr/lib64/libk5crypto.so.3.1
7f8645114000-7f8645116000 r--p 00031000 fd:01 942544                     /usr/lib64/libk5crypto.so.3.1
7f8645116000-7f8645117000 rw-p 00033000 fd:01 942544                     /usr/lib64/libk5crypto.so.3.1
7f8645117000-7f8645118000 rw-p 00000000 00:00 0 
7f8645118000-7f86451e7000 r-xp 00000000 fd:01 942546                     /usr/lib64/libkrb5.so.3.3
7f86451e7000-7f86453e7000 ---p 000cf000 fd:01 942546                     /usr/lib64/libkrb5.so.3.3
7f86453e7000-7f86453f4000 r--p 000cf000 fd:01 942546                     /usr/lib64/libkrb5.so.3.3
7f86453f4000-7f86453f7000 rw-p 000dc000 fd:01 942546                     /usr/lib64/libkrb5.so.3.3
7f86453f7000-7f864543e000 r-xp 00000000 fd:01 942547                     /usr/lib64/libgssapi_krb5.so.2.2
7f864543e000-7f864563e000 ---p 00047000 fd:01 942547                     /usr/lib64/libgssapi_krb5.so.2.2
7f864563e000-7f864563f000 r--p 00047000 fd:01 942547                     /usr/lib64/libgssapi_krb5.so.2.2
7f864563f000-7f8645641000 rw-p 00048000 fd:01 942547                     /usr/lib64/libgssapi_krb5.so.2.2
7f8645641000-7f864568d000 r-xp 00000000 fd:01 942554                     /usr/lib64/libldap-2.4.so.2.8.5
7f864568d000-7f864588c000 ---p 0004c000 fd:01 942554                     /usr/lib64/libldap-2.4.so.2.8.5
7f864588c000-7f864588e000 r--p 0004b000 fd:01 942554                     /usr/lib64/libldap-2.4.so.2.8.5
7f864588e000-7f8645890000 rw-p 0004d000 fd:01 942554                     /usr/lib64/libldap-2.4.so.2.8.5
7f8645890000-7f8645891000 rw-p 00000000 00:00 0 
7f8645891000-7f864589f000 r-xp 00000000 fd:01 937910                     /usr/lib64/liblber-2.4.so.2.8.5
7f864589f000-7f8645a9e000 ---p 0000e000 fd:01 937910                     /usr/lib64/liblber-2.4.so.2.8.5
7f8645a9e000-7f8645a9f000 r--p 0000d000 fd:01 937910                     /usr/lib64/liblber-2.4.so.2.8.5
7f8645a9f000-7f8645aa0000 rw-p 0000e000 fd:01 937910                     /usr/lib64/liblber-2.4.so.2.8.5
7f8645aa0000-7f8645ad2000 r-xp 00000000 fd:01 921331                     /usr/lib64/libidn.so.11.6.8
7f8645ad2000-7f8645cd1000 ---p 00032000 fd:01 921331                     /usr/lib64/libidn.so.11.6.8
7f8645cd1000-7f8645cd2000 r--p 00031000 fd:01 921331                     /usr/lib64/libidn.so.11.6.8
7f8645cd2000-7f8645cd3000 rw-p 00032000 fd:01 921331                     /usr/lib64/libidn.so.11.6.8
7f8645cd3000-7f8645e80000 r-xp 00000000 fd:01 937869                     /usr/lib64/libc-2.16.so
7f8645e80000-7f8646080000 ---p 001ad000 fd:01 937869                     /usr/lib64/libc-2.16.so
7f8646080000-7f8646084000 r--p 001ad000 fd:01 937869                     /usr/lib64/libc-2.16.so
7f8646084000-7f8646086000 rw-p 001b1000 fd:01 937869                     /usr/lib64/libc-2.16.so
7f8646086000-7f864608b000 rw-p 00000000 00:00 0 
7f864608b000-7f86460a0000 r-xp 00000000 fd:01 918676                     /usr/lib64/libz.so.1.2.7
7f86460a0000-7f864629f000 ---p 00015000 fd:01 918676                     /usr/lib64/libz.so.1.2.7
7f864629f000-7f86462a0000 r--p 00014000 fd:01 918676                     /usr/lib64/libz.so.1.2.7
7f86462a0000-7f86462a1000 rw-p 00015000 fd:01 918676                     /usr/lib64/libz.so.1.2.7
7f86462a1000-7f86463a1000 r-xp 00000000 fd:01 937880                     /usr/lib64/libm-2.16.so
7f86463a1000-7f86465a0000 ---p 00100000 fd:01 937880                     /usr/lib64/libm-2.16.so
7f86465a0000-7f86465a1000 r--p 000ff000 fd:01 937880                     /usr/lib64/libm-2.16.so
7f86465a1000-7f86465a2000 rw-p 00100000 fd:01 937880                     /usr/lib64/libm-2.16.so
7f86465a2000-7f8646622000 r-xp 00000000 fd:01 937929                     /usr/lib64/libpixman-1.so.0.26.2
7f8646622000-7f8646821000 ---p 00080000 fd:01 937929                     /usr/lib64/libpixman-1.so.0.26.2
7f8646821000-7f8646827000 r--p 0007f000 fd:01 937929                     /usr/lib64/libpixman-1.so.0.26.2
7f8646827000-7f8646828000 rw-p 00085000 fd:01 937929                     /usr/lib64/libpixman-1.so.0.26.2
7f8646828000-7f864682e000 r-xp 00000000 fd:01 918859                     /usr/lib64/libusbredirparser.so.1.0.0
7f864682e000-7f8646a2d000 ---p 00006000 fd:01 918859                     /usr/lib64/libusbredirparser.so.1.0.0
7f8646a2d000-7f8646a2e000 r--p 00005000 fd:01 918859                     /usr/lib64/libusbredirparser.so.1.0.0
7f8646a2e000-7f8646a2f000 rw-p 00006000 fd:01 918859                     /usr/lib64/libusbredirparser.so.1.0.0
7f8646a2f000-7f8646b40000 r-xp 00000000 fd:01 920560                     /usr/lib64/libspice-server.so.1.5.0
7f8646b40000-7f8646d40000 ---p 00111000 fd:01 920560                     /usr/lib64/libspice-server.so.1.5.0
7f8646d40000-7f8646d41000 r--p 00111000 fd:01 920560                     /usr/lib64/libspice-server.so.1.5.0
7f8646d41000-7f8646d42000 rw-p 00112000 fd:01 920560                     /usr/lib64/libspice-server.so.1.5.0
7f8646d42000-7f8646d48000 rw-p 00000000 00:00 0 
7f8646d48000-7f8646d49000 r-xp 00000000 fd:01 925290                     /usr/lib64/libaio.so.1.0.1
7f8646d49000-7f8646f48000 ---p 00001000 fd:01 925290                     /usr/lib64/libaio.so.1.0.1
7f8646f48000-7f8646f49000 r--p 00000000 fd:01 925290                     /usr/lib64/libaio.so.1.0.1
7f8646f49000-7f8646f4a000 rw-p 00001000 fd:01 925290                     /usr/lib64/libaio.so.1.0.1
7f8646f4a000-7f864707e000 r-xp 00000000 fd:01 937930                     /usr/lib64/libX11.so.6.3.0
7f864707e000-7f864727e000 ---p 00134000 fd:01 937930                     /usr/lib64/libX11.so.6.3.0
7f864727e000-7f864727f000 r--p 00134000 fd:01 937930                     /usr/lib64/libX11.so.6.3.0
7f864727f000-7f8647284000 rw-p 00135000 fd:01 937930                     /usr/lib64/libX11.so.6.3.0
7f8647284000-7f86472ec000 r-xp 00000000 fd:01 918753                     /usr/lib64/libSDL-1.2.so.0.11.4
7f86472ec000-7f86474ec000 ---p 00068000 fd:01 918753                     /usr/lib64/libSDL-1.2.so.0.11.4
7f86474ec000-7f86474ed000 r--p 00068000 fd:01 918753                     /usr/lib64/libSDL-1.2.so.0.11.4
7f86474ed000-7f86474ee000 rw-p 00069000 fd:01 918753                     /usr/lib64/libSDL-1.2.so.0.11.4
7f86474ee000-7f864751c000 rw-p 00000000 00:00 0 
7f864751c000-7f86475cd000 r-xp 00000000 fd:01 937961                     /usr/lib64/libgnutls.so.26.22.5
7f86475cd000-7f86477cd000 ---p 000b1000 fd:01 937961                     /usr/lib64/libgnutls.so.26.22.5
7f86477cd000-7f86477d3000 r--p 000b1000 fd:01 937961                     /usr/lib64/libgnutls.so.26.22.5
7f86477d3000-7f86477d5000 rw-p 000b7000 fd:01 937961                     /usr/lib64/libgnutls.so.26.22.5
7f86477d5000-7f86477ee000 r-xp 00000000 fd:01 937911                     /usr/lib64/libsasl2.so.2.0.23
7f86477ee000-7f86479ee000 ---p 00019000 fd:01 937911                     /usr/lib64/libsasl2.so.2.0.23
7f86479ee000-7f86479ef000 r--p 00019000 fd:01 937911                     /usr/lib64/libsasl2.so.2.0.23
7f86479ef000-7f86479f0000 rw-p 0001a000 fd:01 937911                     /usr/lib64/libsasl2.so.2.0.23
7f86479f0000-7f8647a2e000 r-xp 00000000 fd:01 937928                     /usr/lib64/libjpeg.so.62.0.0
7f8647a2e000-7f8647c2e000 ---p 0003e000 fd:01 937928                     /usr/lib64/libjpeg.so.62.0.0
7f8647c2e000-7f8647c2f000 r--p 0003e000 fd:01 937928                     /usr/lib64/libjpeg.so.62.0.0
7f8647c2f000-7f8647c30000 rw-p 0003f000 fd:01 937928                     /usr/lib64/libjpeg.so.62.0.0
7f8647c30000-7f8647c40000 rw-p 00000000 00:00 0 
7f8647c40000-7f8647c69000 r-xp 00000000 fd:01 923559                     /usr/lib64/libpng15.so.15.13.0
7f8647c69000-7f8647e68000 ---p 00029000 fd:01 923559                     /usr/lib64/libpng15.so.15.13.0
7f8647e68000-7f8647e69000 r--p 00028000 fd:01 923559                     /usr/lib64/libpng15.so.15.13.0
7f8647e69000-7f8647e6a000 rw-p 00029000 fd:01 923559                     /usr/lib64/libpng15.so.15.13.0
7f8647e6a000-7f8647e6e000 r-xp 00000000 fd:01 942559                     /usr/lib64/libuuid.so.1.3.0
7f8647e6e000-7f864806d000 ---p 00004000 fd:01 942559                     /usr/lib64/libuuid.so.1.3.0
7f864806d000-7f864806e000 r--p 00003000 fd:01 942559                     /usr/lib64/libuuid.so.1.3.0
7f864806e000-7f864806f000 rw-p 00004000 fd:01 942559                     /usr/lib64/libuuid.so.1.3.0
7f864806f000-7f86480b7000 r-xp 00000000 fd:01 940068                     /usr/lib64/libpulse.so.0.14.3
7f86480b7000-7f86482b6000 ---p 00048000 fd:01 940068                     /usr/lib64/libpulse.so.0.14.3
7f86482b6000-7f86482b7000 r--p 00047000 fd:01 940068                     /usr/lib64/libpulse.so.0.14.3
7f86482b7000-7f86482b8000 rw-p 00048000 fd:01 940068                     /usr/lib64/libpulse.so.0.14.3
7f86482b8000-7f8648391000 r-xp 00000000 fd:01 935894                     /usr/lib64/libasound.so.2.0.0
7f8648391000-7f8648590000 ---p 000d9000 fd:01 935894                     /usr/lib64/libasound.so.2.0.0
7f8648590000-7f8648596000 r--p 000d8000 fd:01 935894                     /usr/lib64/libasound.so.2.0.0
7f8648596000-7f8648598000 rw-p 000de000 fd:01 935894                     /usr/lib64/libasound.so.2.0.0
7f8648598000-7f86485a1000 r-xp 00000000 fd:01 920475                     /usr/lib64/libbrlapi.so.0.5.6
7f86485a1000-7f86487a1000 ---p 00009000 fd:01 920475                     /usr/lib64/libbrlapi.so.0.5.6
7f86487a1000-7f86487a2000 r--p 00009000 fd:01 920475                     /usr/lib64/libbrlapi.so.0.5.6
7f86487a2000-7f86487a3000 rw-p 0000a000 fd:01 920475                     /usr/lib64/libbrlapi.so.0.5.6
7f86487a3000-7f86487c8000 r-xp 00000000 fd:01 920879                     /usr/lib64/libtinfo.so.5.9
7f86487c8000-7f86489c7000 ---p 00025000 fd:01 920879                     /usr/lib64/libtinfo.so.5.9
7f86489c7000-7f86489cb000 r--p 00024000 fd:01 920879                     /usr/lib64/libtinfo.so.5.9
7f86489cb000-7f86489cc000 rw-p 00028000 fd:01 920879                     /usr/lib64/libtinfo.so.5.9
7f86489cc000-7f86489ef000 r-xp 00000000 fd:01 940655                     /usr/lib64/libncurses.so.5.9
7f86489ef000-7f8648bee000 ---p 00023000 fd:01 940655                     /usr/lib64/libncurses.so.5.9
7f8648bee000-7f8648bef000 r--p 00022000 fd:01 940655                     /usr/lib64/libncurses.so.5.9
7f8648bef000-7f8648bf0000 rw-p 00023000 fd:01 940655                     /usr/lib64/libncurses.so.5.9
7f8648bf0000-7f8648c50000 r-xp 00000000 fd:01 937923                     /usr/lib64/libcurl.so.4.2.0
7f8648c50000-7f8648e50000 ---p 00060000 fd:01 937923                     /usr/lib64/libcurl.so.4.2.0
7f8648e50000-7f8648e52000 r--p 00060000 fd:01 937923                     /usr/lib64/libcurl.so.4.2.0
7f8648e52000-7f8648e53000 rw-p 00062000 fd:01 937923                     /usr/lib64/libcurl.so.4.2.0
7f8648e53000-7f8648e6d000 r-xp 00000000 fd:01 923762                     /usr/lib64/libbluetooth.so.3.13.0
7f8648e6d000-7f864906c000 ---p 0001a000 fd:01 923762                     /usr/lib64/libbluetooth.so.3.13.0
7f864906c000-7f864906d000 r--p 00019000 fd:01 923762                     /usr/lib64/libbluetooth.so.3.13.0
7f864906d000-7f8649070000 rw-p 0001a000 fd:01 923762                     /usr/lib64/libbluetooth.so.3.13.0
7f8649070000-7f8649072000 r-xp 00000000 fd:01 919825                     /usr/lib64/libutil-2.16.so
7f8649072000-7f8649271000 ---p 00002000 fd:01 919825                     /usr/lib64/libutil-2.16.so
7f8649271000-7f8649272000 r--p 00001000 fd:01 919825                     /usr/lib64/libutil-2.16.so
7f8649272000-7f8649273000 rw-p 00002000 fd:01 919825                     /usr/lib64/libutil-2.16.so
7f8649273000-7f8649276000 r-xp 00000000 fd:01 937871                     /usr/lib64/libdl-2.16.so
7f8649276000-7f8649475000 ---p 00003000 fd:01 937871                     /usr/lib64/libdl-2.16.so
7f8649475000-7f8649476000 r--p 00002000 fd:01 937871                     /usr/lib64/libdl-2.16.so
7f8649476000-7f8649477000 rw-p 00003000 fd:01 937871                     /usr/lib64/libdl-2.16.so
7f8649477000-7f864948d000 r-xp 00000000 fd:01 937870                     /usr/lib64/libpthread-2.16.so
7f864948d000-7f864968d000 ---p 00016000 fd:01 937870                     /usr/lib64/libpthread-2.16.so
7f864968d000-7f864968e000 r--p 00016000 fd:01 937870                     /usr/lib64/libpthread-2.16.so
7f864968e000-7f864968f000 rw-p 00017000 fd:01 937870                     /usr/lib64/libpthread-2.16.so
7f864968f000-7f8649693000 rw-p 00000000 00:00 0 
7f8649693000-7f86496cc000 r-xp 00000000 fd:01 922128                     /usr/lib64/libnspr4.so
7f86496cc000-7f86498cc000 ---p 00039000 fd:01 922128                     /usr/lib64/libnspr4.so
7f86498cc000-7f86498cd000 r--p 00039000 fd:01 922128                     /usr/lib64/libnspr4.so
7f86498cd000-7f86498cf000 rw-p 0003a000 fd:01 922128                     /usr/lib64/libnspr4.so
7f86498cf000-7f86498d1000 rw-p 00000000 00:00 0 
7f86498d1000-7f86498d5000 r-xp 00000000 fd:01 937952                     /usr/lib64/libplc4.so
7f86498d5000-7f8649ad4000 ---p 00004000 fd:01 937952                     /usr/lib64/libplc4.so
7f8649ad4000-7f8649ad5000 r--p 00003000 fd:01 937952                     /usr/lib64/libplc4.so
7f8649ad5000-7f8649ad6000 rw-p 00004000 fd:01 937952                     /usr/lib64/libplc4.so
7f8649ad6000-7f8649ad9000 r-xp 00000000 fd:01 937954                     /usr/lib64/libplds4.so
7f8649ad9000-7f8649cd8000 ---p 00003000 fd:01 937954                     /usr/lib64/libplds4.so
7f8649cd8000-7f8649cd9000 r--p 00002000 fd:01 937954                     /usr/lib64/libplds4.so
7f8649cd9000-7f8649cda000 rw-p 00003000 fd:01 937954                     /usr/lib64/libplds4.so
7f8649cda000-7f8649cfe000 r-xp 00000000 fd:01 929525                     /usr/lib64/libnssutil3.so
7f8649cfe000-7f8649efe000 ---p 00024000 fd:01 929525                     /usr/lib64/libnssutil3.so
7f8649efe000-7f8649f04000 r--p 00024000 fd:01 929525                     /usr/lib64/libnssutil3.so
7f8649f04000-7f8649f05000 rw-p 0002a000 fd:01 929525                     /usr/lib64/libnssutil3.so
7f8649f05000-7f864a037000 r-xp 00000000 fd:01 937956                     /usr/lib64/libnss3.so
7f864a037000-7f864a237000 ---p 00132000 fd:01 937956                     /usr/lib64/libnss3.so
7f864a237000-7f864a23c000 r--p 00132000 fd:01 937956                     /usr/lib64/libnss3.so
7f864a23c000-7f864a23e000 rw-p 00137000 fd:01 937956                     /usr/lib64/libnss3.so
7f864a23e000-7f864a240000 rw-p 00000000 00:00 0 
7f864a240000-7f864a269000 r-xp 00000000 fd:01 921791                     /usr/lib64/libsmime3.so
7f864a269000-7f864a469000 ---p 00029000 fd:01 921791                     /usr/lib64/libsmime3.so
7f864a469000-7f864a46c000 r--p 00029000 fd:01 921791                     /usr/lib64/libsmime3.so
7f864a46c000-7f864a46d000 rw-p 0002c000 fd:01 921791                     /usr/lib64/libsmime3.so
7f864a46d000-7f864a4a3000 r-xp 00000000 fd:01 937970                     /usr/lib64/libssl3.so
7f864a4a3000-7f864a6a2000 ---p 00036000 fd:01 937970                     /usr/lib64/libssl3.so
7f864a6a2000-7f864a6a5000 r--p 00035000 fd:01 937970                     /usr/lib64/libssl3.so
7f864a6a5000-7f864a6a6000 rw-p 00038000 fd:01 937970                     /usr/lib64/libssl3.so
7f864a6a6000-7f864a6a7000 rw-p 00000000 00:00 0 
7f864a6a7000-7f864a6b8000 r-xp 00000000 fd:01 930660                     /usr/lib64/libseccomp.so.1.0.1
7f864a6b8000-7f864a8b8000 ---p 00011000 fd:01 930660                     /usr/lib64/libseccomp.so.1.0.1
7f864a8b8000-7f864a8bb000 r--p 00011000 fd:01 930660                     /usr/lib64/libseccomp.so.1.0.1
7f864a8bb000-7f864a8bc000 rw-p 00014000 fd:01 930660                     /usr/lib64/libseccomp.so.1.0.1
7f864a8bc000-7f864a9dc000 r-xp 00000000 fd:01 920886                     /usr/lib64/libglib-2.0.so.0.3400.2
7f864a9dc000-7f864abdb000 ---p 00120000 fd:01 920886                     /usr/lib64/libglib-2.0.so.0.3400.2
7f864abdb000-7f864abdc000 r--p 0011f000 fd:01 920886                     /usr/lib64/libglib-2.0.so.0.3400.2
7f864abdc000-7f864abdd000 rw-p 00120000 fd:01 920886                     /usr/lib64/libglib-2.0.so.0.3400.2
7f864abdd000-7f864abdf000 rw-p 00000000 00:00 0 
7f864abdf000-7f864abe0000 r-xp 00000000 fd:01 937890                     /usr/lib64/libgthread-2.0.so.0.3400.2
7f864abe0000-7f864addf000 ---p 00001000 fd:01 937890                     /usr/lib64/libgthread-2.0.so.0.3400.2
7f864addf000-7f864ade0000 r--p 00000000 fd:01 937890                     /usr/lib64/libgthread-2.0.so.0.3400.2
7f864ade0000-7f864ade1000 rw-p 00001000 fd:01 937890                     /usr/lib64/libgthread-2.0.so.0.3400.2
7f864ade1000-7f864ade8000 r-xp 00000000 fd:01 918606                     /usr/lib64/librt-2.16.so
7f864ade8000-7f864afe7000 ---p 00007000 fd:01 918606                     /usr/lib64/librt-2.16.so
7f864afe7000-7f864afe8000 r--p 00006000 fd:01 918606                     /usr/lib64/librt-2.16.so
7f864afe8000-7f864afe9000 rw-p 00007000 fd:01 918606                     /usr/lib64/librt-2.16.so
7f864afe9000-7f864b009000 r-xp 00000000 fd:01 937868                     /usr/lib64/ld-2.16.so
7f864b039000-7f864b03a000 rw-p 00000000 00:00 0 
7f864b03a000-7f864b05a000 rw-p 00000000 00:00 0 
7f864b05a000-7f864b1f4000 rw-p 00000000 00:00 0 
7f864b1fa000-7f864b1fb000 rw-p 00000000 00:00 0 
7f864b1fb000-7f864b1fe000 rw-s 00000000 00:09 5684                       anon_inode:kvm-vcpu
7f864b1fe000-7f864b201000 rw-s 00000000 00:09 5684                       anon_inode:kvm-vcpu
7f864b201000-7f864b202000 rw-s 00000000 00:04 15271                      /dev/zero (deleted)
7f864b202000-7f864b203000 rw-s 00000000 00:04 15270                      /dev/zero (deleted)
7f864b203000-7f864b205000 rw-p 00000000 00:00 0 
7f864b205000-7f864b208000 rw-s 00000000 00:04 45854                      /dev/zero (deleted)
7f864b208000-7f864b209000 rw-p 00000000 00:00 0 
7f864b209000-7f864b20a000 r--p 00020000 fd:01 937868                     /usr/lib64/ld-2.16.so
7f864b20a000-7f864b20b000 rw-p 00021000 fd:01 937868                     /usr/lib64/ld-2.16.so
7f864b20b000-7f864b20c000 rw-p 00000000 00:00 0 
7f864b20c000-7f864b5ed000 r-xp 00000000 fd:01 930667                     /usr/libexec/qemu-kvm
7f864b7ed000-7f864b8be000 r--p 003e1000 fd:01 930667                     /usr/libexec/qemu-kvm
7f864b8be000-7f864b8f7000 rw-p 004b2000 fd:01 930667                     /usr/libexec/qemu-kvm
7f864b8f7000-7f864c17d000 rw-p 00000000 00:00 0 
7f864c37f000-7f864c58b000 rw-p 00000000 00:00 0                          [heap]
7f864c58b000-7f864c59b000 rw-p 00000000 00:00 0                          [heap]
7f864c59b000-7f864c5ee000 rw-p 00000000 00:00 0                          [heap]
7f864c5ee000-7f864c5fe000 rw-p 00000000 00:00 0                          [heap]
7f864c5fe000-7f86522ba000 rw-p 00000000 00:00 0                          [heap]
7fff0ea9a000-7fff0eabb000 rw-p 00000000 00:00 0                          [stack]
7fff0ebff000-7fff0ec00000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Aborted (core dumped)

Expected results:
it was no any core dump, just boot up VM successully.

Additional info:
Comment 1 Sibiao Luo 2013-02-01 05:23:30 EST
(gdb) bt
#0  0x00007f8645d08ba5 in raise () from /lib64/libc.so.6
#1  0x00007f8645d0a358 in abort () from /lib64/libc.so.6
#2  0x00007f8645d483eb in __libc_message () from /lib64/libc.so.6
#3  0x00007f8645d4e586 in malloc_printerr () from /lib64/libc.so.6
#4  0x00007f8645d51948 in _int_realloc () from /lib64/libc.so.6
#5  0x00007f8645d528b5 in realloc () from /lib64/libc.so.6
#6  0x00007f864b426859 in realloc_and_trace (mem=0x7f86385ee920, n_bytes=883938) at vl.c:2469
#7  0x00007f864a909737 in g_realloc () from /lib64/libglib-2.0.so.0
#8  0x00007f864b41cff4 in buffer_reserve (buffer=0x7f85afdf75b8, len=<optimized out>) at ui/vnc.c:476
#9  0x00007f864b41e7b3 in vnc_write (vs=vs@entry=0x7f85afdeb500, data=0x7f86381ec7a0, len=len@entry=41738) at ui/vnc.c:1326
#10 0x00007f864b40d7fd in tight_compress_data (vs=vs@entry=0x7f85afdeb500, stream_id=stream_id@entry=0, bytes=41738, level=9, strategy=strategy@entry=0)
    at ui/vnc-enc-tight.c:877
#11 0x00007f864b40ec10 in send_full_color_rect (x=<optimized out>, y=<optimized out>, h=51, w=32646, vs=0x7f85afdeb500) at ui/vnc-enc-tight.c:938
#12 send_full_color_rect (vs=vs@entry=0x7f85afdeb500, w=w@entry=1280, h=h@entry=51, y=<optimized out>, x=<optimized out>) at ui/vnc-enc-tight.c:918
#13 0x00007f864b40fc30 in send_sub_rect_nojpeg (x=<optimized out>, y=<optimized out>, palette=<optimized out>, colors=<optimized out>, fg=<optimized out>, 
    bg=<optimized out>, h=<optimized out>, w=<optimized out>, vs=<optimized out>) at ui/vnc-enc-tight.c:1407
#14 send_sub_rect (vs=vs@entry=0x7f85afdeb500, x=x@entry=0, y=y@entry=714, w=w@entry=1280, h=h@entry=51) at ui/vnc-enc-tight.c:1496
#15 0x00007f864b4106a7 in send_rect_simple (vs=vs@entry=0x7f85afdeb500, x=x@entry=0, y=y@entry=714, w=w@entry=1280, h=h@entry=51, split=split@entry=true)
    at ui/vnc-enc-tight.c:1541
#16 0x00007f864b410ded in find_large_solid_color_rect (max_rows=51, h=246, w=1280, y=714, x=0, vs=0x7f85afdeb500) at ui/vnc-enc-tight.c:1560
#17 tight_send_framebuffer_update (vs=0x7f85afdeb500, x=0, y=768, w=1280, h=246) at ui/vnc-enc-tight.c:1660
#18 0x00007f864b41a390 in vnc_worker_thread_loop (queue=queue@entry=0x7f864c60f720) at ui/vnc-jobs.c:259
#19 0x00007f864b41a560 in vnc_worker_thread (arg=0x7f864c60f720) at ui/vnc-jobs.c:319
#20 0x00007f864947ed15 in start_thread () from /lib64/libpthread.so.0
#21 0x00007f8645dc527d in clone () from /lib64/libc.so.6
(gdb)
Comment 2 Hai Huang 2013-08-08 14:17:14 EDT
Would you please re-test with a more recent RHEL7.0 compose. 
Thank you.
Comment 3 Sibiao Luo 2013-08-18 23:26:39 EDT
(In reply to Hai Huang from comment #2)
> Would you please re-test with a more recent RHEL7.0 compose. 
> Thank you.
Yes, i have tried the recent rhel7 compose for 5 times that did not met this issue any more, maybe this issue has gone.

host info:
3.10.0-4.el7.x86_64
qemu-kvm-1.5.2-3.el7.x86_64
tigervnc-1.2.80-0.15.20130314svn5065.el7.x86_64
gvnc-0.5.2-2.el7.x86_64
gtk-vnc-0.5.2-2.el7.x86_64
guest info:
3.7.0-0.36.el7.x86_64

Best Regards,
sluo

Note You need to log in before you can comment on or make changes to this bug.